IWORKPath.h File Reference
`#include "IWORKPath_fwd.h"`
`#include <string>`
`#include <glm/glm.hpp>`
`#include <librevenge/librevenge.h>`
`#include "libetonyek_utils.h"`
`#include "IWORKTypes.h"`

Go to the source code of this file.

## Classes
class | libetonyek::IWORKPath
struct | libetonyek::IWORKPath::InvalidException
class | libetonyek::IWORKConnectionPath

## Namespaces
namespace | libetonyek

## Functions
bool | libetonyek::approxEqual (const IWORKPath &left, const IWORKPath &right, double eps=ETONYEK_EPSILON)
bool | libetonyek::operator== (const IWORKPath &left, const IWORKPath &right)
bool | libetonyek::operator!= (const IWORKPath &left, const IWORKPath &right)
IWORKPath | libetonyek::operator* (const IWORKPath &path, const glm::dmat3 &tr)
| Create a transformed path.